int MDFNI_DecodePAR(const char *code, uint16 *a, uint8 *v, int *c, int *type);
int MDFNI_DecodeGG(const char *str, uint16 *a, uint8 *v, int *c);
int MDFNI_AddCheat(const char *name, uint32 addr, uint8 val, int compare, int type);
int MDFNI_DelCheat(uint32 which);
int MDFNI_ToggleCheat(uint32 which);

int32 MDFNI_CheatSearchGetCount(void);
void MDFNI_CheatSearchGetRange(uint32 first, uint32 last, int (*callb)(uint32 a, uint8 last, uint8 current));
void MDFNI_CheatSearchGet(int (*callb)(uint32 a, uint8 last, uint8 current, void *data), void *data);
void MDFNI_CheatSearchBegin(void);
void MDFNI_CheatSearchEnd(int type, uint8 v1, uint8 v2);
void MDFNI_ListCheats(int (*callb)(char *name, uint32 a, uint8 v, int compare, int s, int type, void *data), void *data);

int MDFNI_GetCheat(uint32 which, char **name, uint32 *a, uint8 *v, int *compare, int *s, int *type);
int MDFNI_SetCheat(uint32 which, const char *name, int32 a, int32 v, int compare,int s, int type);

void MDFNI_CheatSearchShowExcluded(void);
void MDFNI_CheatSearchSetCurrentAsOriginal(void);

